[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.Add

Adds an element to the list.

## Declaration

Source position: classesh.inc line 366

`public procedure TThreadList.Add(`
`Item: Pointer`
`);`

## Description

Add attempts to lock the list and adds the pointer Item to the list. After the pointer was added, the list is unlocked again.

## See also

LockList |  | Locks the list for exclusive access.
Clear |  | Removes all emements from the list.
Remove |  | Removes an item from the list.
UnlockList |  | Unlocks the list after it was locked.

Documentation generated on: Feb 26 2014